proxychains_error

在使用proxychains代理时,报了个错误

1
2
ProxyChains-3.1 (http://proxychains.sf.net)
ERROR: ld.so: object 'libproxychains.so.3' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.

看来proxychains无法加载libproxychains.so.3库,查到的资料是修改/usr/bin/proxychains文件的export

通过find命令查找这个库

1
2
find /usr/ -name libproxychains.so.3 -print
/usr/lib/x86_64-linux-gnu/libproxychains.so.3

将vi /usr/bin/proxychains的export修改为/usr/lib/x86_64-linux-gnu/libproxychains.so.3

1
2
3
4
5
6
7
8
9
#!/bin/sh
echo "ProxyChains-3.1 (http://proxychains.sf.net)"
if [ $# = 0 ] ; then
echo " usage:"
echo " proxychains <prog> [args]"
exit
fi
export LD_PRELOAD=/usr/lib/x86_64-linux-gnu/libproxychains.so.3
exec "[email protected]"